#define _GNU_SOURCE

// NETWORK
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <fcntl.h>

// communication
#include <signal.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <stddef.h>
#include <unistd.h>
#include <time.h>

// XML2
#include <libxml/xmlreader.h>

// CURL
#include <curl/curl.h>
#include <curl/types.h>
#include <curl/easy.h>

struct serverinfo {

	int	maxclients;
	int	deathmatch;
	char	hostname[128];
	char	map[32];
	char	status[128];
	struct	playerinfo *playerlist;

};

struct playerinfo {

	char	nickname[64];
	char	team[16];
	int	frags;
	struct	playerinfo *next;
};

struct serversearchinfo {

	int		ID;
	char		IP[16];
	unsigned short	port;
	char		country[3];
	struct		serversearchinfo *next;


};
